<nz-content>
    <div nz-row class="items-center p-2">
        <div nz-col nzSpan="12">
            <i class="fas fa-list-alt text-green-500 text-lg"></i>&nbsp;
            Doctor Order
        </div>
        <div nz-col nzSpan="12" class="flex justify-end items-center">
            ...
        </div>
    </div>

    <div class="bg-white p-1">

        <div class="rounded-lg border-blue-200 border-2">

            <div class="flex flex-row rounded-t-lg bg-blue-500 text-white p-4 w-full min-w-80 mb-5">

                <div class="flex flex-row w-full">

                    <div class="flex flex-col w-full content-center">
                        <div class="flex text-sm font-bold">
                            <p>{{title}}{{fname}} {{lname}}</p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <p>อายุ : {{age}} ปี เพศ : {{gender}} AN {{an}} HN {{hn}}</p>
                        </div>
                    </div>
                </div>

            </div>

            <!-- <div class="flex flex-row w-full gap-3 px-3 pb-3"> -->
            <div class="flex flex-wrap justify-between">
                <div class="w-1/3 xs:w-11/12 sm:w-1/2 md:w-1/3 lg:w-1/3 xl:w-1/3 xxl:w-1/3">
                    <div class="flex flex-col">
                        <div class="w-full h-full ">
                            <span>
                                <nz-card [nzTitle]="progress_not" nzSize="small">
                                    <ng-template #progress_not>
                                        <div class="flex flex-row justify-between">
                                            <span class="bg-green-200 text-sm text-green-800 p-1 rounded">Progress
                                                Note</span>
                                            <button nz-button nzType="primary" (click)="standingProgress()">+ Standing</button>
                                        </div>
                                    </ng-template>

                                    <div class="flex flex-row w-full items-center">
                                        <div class="w-4">
                                            S:
                                        </div>
                                        <div class="grow">
                                            <nz-input-group [nzAddOnAfter]="templateprogressValueS">
                                                <input type="text" nz-input placeholder="ระบุ Progress Note"
                                                    enterkeyhint="done" [(ngModel)]="progressValueS"
                                                    (keydown.enter)="addProgressNoteS()" />
                                            </nz-input-group>
                                            <ng-template #templateprogressValueS>
                                                <button class="p-0 cursor-pointer" (click)="addProgressNoteS()">
                                                    <i class="fa-solid fa-plus text-xl text-sky-600 font-light cursor-pointer w-fit h-fit"
                                                        (click)="addProgressNoteS()"></i>
                                                </button>
                                            </ng-template>
                                        </div>
                                    </div>
                                    <div class="flex flex-row w-full mt-1 items-center">
                                        <div class="w-4">
                                            O:
                                        </div>
                                        <div class="grow">
                                            <nz-input-group [nzAddOnAfter]="sprogressValueO">
                                                <input type="text" nz-input placeholder="ระบุ Progress Note"
                                                    enterkeyhint="done" [(ngModel)]="progressValueO"
                                                    (keydown.enter)="addProgressNoteO()" />
                                            </nz-input-group>
                                            <ng-template #sprogressValueO>
                                                <button class="p-0 cursor-pointer" (click)="addProgressNoteO()">
                                                    <i class="fa-solid fa-plus text-xl text-sky-600 font-light cursor-pointer w-fit h-fit"
                                                        (click)="addProgressNoteO()"></i>
                                                </button>
                                            </ng-template>
                                        </div>

                                    </div>
                                    <div class="flex flex-row w-full mt-1 items-center">
                                        <div class="w-4">
                                            A:
                                        </div>
                                        <div class="grow">
                                            <nz-input-group [nzAddOnAfter]="templateprogressValueA">
                                                <input type="text" nz-input placeholder="ระบุ Progress Note"
                                                    enterkeyhint="done" [(ngModel)]="progressValueA"
                                                    (keydown.enter)="addProgressNoteA()" />
                                            </nz-input-group>
                                            <ng-template #templateprogressValueA>
                                                <button class="p-0 cursor-pointer" (click)="addProgressNoteA()">
                                                    <i class="fa-solid fa-plus text-xl text-sky-600 font-light cursor-pointer w-fit h-fit"
                                                        (click)="addProgressNoteA()"></i>
                                                </button>
                                            </ng-template>

                                        </div>

                                    </div>
                                    <div class="flex flex-row w-full mt-1 items-center">
                                        <div class="w-4">
                                            P:
                                        </div>
                                        <div class="grow">
                                            <nz-input-group [nzAddOnAfter]="templateprogressValueP">
                                                <input type="text" nz-input placeholder="ระบุ Progress Note"
                                                    enterkeyhint="done" [(ngModel)]="progressValueP"
                                                    (keydown.enter)="addProgressNoteP()" />
                                            </nz-input-group>
                                            <ng-template #templateprogressValueP>
                                                <button class="p-0 cursor-pointer" (click)="addProgressNoteP()">
                                                    <i class="fa-solid fa-plus text-xl text-sky-600 font-light cursor-pointer w-fit h-fit"
                                                        (click)="addProgressNoteP()"></i>
                                                </button>
                                            </ng-template>

                                        </div>
                                    </div>
                                </nz-card>

                            </span>
                        </div>
                        <div class="p-2 border border-gray-200">
                            <nz-tag nzColor="cyan" class="text-black" *ngFor="let tag of progressTags; let i = index"
                                [nzMode]="i === 0 ? 'default' : 'closeable'"
                                (nzOnClose)="handleCloseProgress(progressTags)">
                                {{ sliceTagNameProgress(tag) }}
                            </nz-tag>
                            <div class="flex justify-end content-center mb-2 mr-3">

                            </div>
                        </div>

                    </div>
                </div>
                <div class="w-1/3 xs:w-11/12 sm:w-1/2 md:w-1/3 lg:w-1/3 xl:w-1/3 xxl:w-1/3">
                    <div class="flex flex-col">
                        <div class="w-full h-full bg-blue-200">

                            <span>
                                <nz-card [nzTitle]="order_oneday" nzSize="small">
                                    <ng-template #order_oneday>
                                        <div class="flex flex-row justify-between">
                                            <span class="bg-green-200 text-sm text-green-800 p-1 rounded">Order
                                                Oneday</span>
                                            <button nz-button nzType="primary">+ Standing</button>
                                        </div>
                                    </ng-template>
                                    <div class="flex flex-row w-full items-center">
                                        <div class="w-16">
                                            Items:
                                        </div>
                                        <div class="grow">
                                            <nz-input-group [nzSuffix]="prefixTemplateItems">
                                                <input nz-input [(ngModel)]="inputValueItems"
                                                    (ngModelChange)="onInputValueChangeItems($event)"
                                                    [nzAutocomplete]="drugsOneday" />
                                                <nz-autocomplete #drugsOneday>
                                                    <nz-auto-option *ngFor="let option of filteredOptionsItems"
                                                        [nzValue]="option.name">
                                                        {{ option.name }}
                                                    </nz-auto-option>

                                                </nz-autocomplete>
                                            </nz-input-group>
                                            <ng-template #prefixTemplateItems>
                                                <span nz-icon nzType="close-circle" nzTheme="outline"
                                                    class="text-sky-600 cursor-pointer w-fit h-fit"
                                                    (click)="clearOneDayItems()"></span>
                                            </ng-template>
                                        </div>
                                    </div>
                                    <div class="flex flex-row w-full mt-1 items-center">
                                        <div class="w-16">
                                            Usage:
                                        </div>
                                        <div class="grow">
                                            <nz-input-group [nzSuffix]="prefixTemplateItemsUsage">
                                                <input nz-input [(ngModel)]="inputValueItemsUsage"
                                                    (ngModelChange)="onInputValueChangeDrugsUsage($event)"
                                                    [nzAutocomplete]="drugsOnedayUsage" />
                                                <nz-autocomplete #drugsOnedayUsage>
                                                    <nz-auto-option *ngFor="let option of filteredOptionsDrugsUsage"
                                                        [nzValue]="option.name">
                                                        {{ option.name }}
                                                    </nz-auto-option>
                                                </nz-autocomplete>
                                            </nz-input-group>
                                            <ng-template #prefixTemplateItemsUsage>
                                                <span nz-icon nzType="close-circle" nzTheme="outline"
                                                    class="text-sky-600 cursor-pointer w-fit h-fit"
                                                    (click)="clearOneDayItemsUsage()"></span>
                                            </ng-template>

                                        </div>
                                    </div>
                                    <div class="flex flex-row w-full mt-1 items-center">
                                        <div class="w-16">
                                            Quantity:
                                        </div>
                                        <div class="grow">
                                            <nz-input-group [nzAddOnAfter]="templateOneDay">
                                                <input type="text" nz-input placeholder="จำนวน" enterkeyhint="done"
                                                    [(ngModel)]="ordersOnedayQuantity"
                                                    (keydown.enter)="ordersOnedayAdd()" />
                                            </nz-input-group>
                                            <ng-template #templateOneDay>
                                                <button class="p-0 cursor-pointer" (click)="ordersOnedayAdd()">
                                                    <i
                                                        class="fa-solid fa-plus text-xl text-sky-600 font-light cursor-pointer w-fit h-fit"></i>
                                                </button>
                                            </ng-template>
                                        </div>
                                    </div>

                                </nz-card>

                            </span>
                        </div>

                        <div class="p-2 border border-gray-200">
                            <!-- <nz-tag nzColor="cyan" class="text-black w-full" *ngFor="let onedayTags of onedayTags; let i = index" [nzMode]="i === 0 ? 'default' : 'closeable'"
                                (nzOnClose)="handleCloseOneday(onedayTags)">
                                {{ sliceTagNameOneday(onedayTags) }}
                                <i nz-icon nzType="close"></i>
                            </nz-tag> -->
                            <nz-tag nzColor="cyan" class="text-black w-full"
                                *ngFor="let onedayTags of onedayTags; let i = index">
                                <div class="flex justify-between items-center">
                                    <span>{{ onedayTags }}</span>
                                    <i nz-icon nzType="close" (click)="handleCloseOneday(onedayTags)"></i>
                                </div>
                            </nz-tag>

                            <!-- <div class="flex justify-end content-center mb-2 mr-3">
                                dfdf
                            </div> -->
                        </div>
                        <nz-divider></nz-divider>

                    </div>
                </div>
                <div class="w-1/3 xs:w-11/12 sm:w-1/2 md:w-1/3 lg:w-1/3 xl:w-1/3 xxl:w-1/3">
                    <div class="flex flex-col">

                        <div class="w-full h-full bg-blue-200">
                            <span>
                                <nz-card [nzTitle]="continue_order" nzSize="small">
                                    <ng-template #continue_order>
                                        <div class="flex flex-row justify-between">
                                            <span class="bg-green-200 text-sm text-green-800 p-1 rounded">Continue
                                                Order</span>
                                            <button nz-button nzType="primary">+ Standing</button>
                                        </div>
                                    </ng-template>
                                    <div class="flex flex-row w-full">
                                        <div class="grow">
                                            <nz-input-group [nzAddOnAfter]="templateContinue">
                                                <input type="text" nz-input placeholder="ระบุ Progress Note"
                                                    enterkeyhint="done" [(ngModel)]="continueValue"
                                                    (keydown.enter)="addContinue()" />
                                            </nz-input-group>
                                            <ng-template #templateContinue>
                                                <button class="p-0 cursor-pointer" (click)="addContinue()">
                                                    <i class="fa-solid fa-plus text-xl text-sky-600 font-light cursor-pointer w-fit h-fit"
                                                        (click)="addContinue()"></i>
                                                </button>
                                            </ng-template>
                                        </div>

                                    </div>
                                </nz-card>
                            </span>
                        </div>
                        <div class="p-2 border border-gray-200">
                            <nz-tag nzColor="cyan" class="text-black"
                                *ngFor="let continueTags of continueTags; let i = index"
                                [nzMode]="i === 0 ? 'default' : 'closeable'"
                                (nzOnClose)="handleCloseContinue(continueTags)">
                                {{ sliceTagNameContinue(continueTags) }}
                            </nz-tag>
                            <div class="flex justify-end content-center mb-2 mr-3">

                            </div>
                        </div>
                        <nz-divider></nz-divider>

                    </div>
                </div>

            </div>

            <div>
                <div class="flex justify-center content-center mb-2 mr-3 mt-4">
                    <button nz-button nzType="primary" (click)="saveDoctorOrder()">
                        <!-- <i class="fas fa-save"></i>&nbsp; -->
                        บันทึก
                    </button>&nbsp;&nbsp;
                    <button nz-button>
                        <!-- <i class="fas fa-save"></i>&nbsp; -->
                        ยกเลิก
                    </button>
                </div>
            </div>

            <hr><br><br>
            <div>

                <div class="row">
                    <div class="column">
                        <nz-card nzTitle="Progess Note [ ก่อนหน้านี้ ]" nzSize="small">
                            <div class="flex flex-col w-full">
                                <div class="grow rounded-md border border-sky-200 p-2 mb-2"
                                    *ngFor="let subjectives of subjective;">
                                    <p>{{ subjectives }}</p>

                                </div>
                                <div class="grow rounded-md border border-sky-200 p-2 mb-2"
                                    *ngFor="let objectives of objective;">
                                    <p>{{ objectives }}</p>

                                </div>
                                <div class="grow rounded-md border border-sky-200 p-2 mb-2"
                                    *ngFor="let assertments of assertment;">
                                    <p>{{ assertments }}</p>

                                </div>
                                <div class="grow rounded-md border border-sky-200 p-2 mb-2" *ngFor="let plans of plan;">
                                    <p>{{ plans }}</p>

                                </div>

                            </div>
                        </nz-card>

                    </div>

                    <div class="column">

                        <nz-card nzTitle="Order One Day [ ก่อนหน้านี้ ]" nzSize="small">
                            <div class="flex flex-col w-full">
                                <div class="grow rounded-md border border-sky-200 p-2 mb-2"
                                    *ngFor="let order of orders;">
                                    <p>{{ order.item_name }}</p>
                                    <p>Card content</p>
                                    <p>Card content</p>
                                    <p>Card content</p>
                                    <p>Card content</p>
                                </div>
                                <div class="grow rounded-md border border-sky-200 p-2">
                                    <p>Card content</p>
                                    <p>Card content</p>
                                    <p>Card content</p>
                                    <p>Card content</p>
                                    <p>Card content</p>
                                </div>
                            </div>
                        </nz-card>
                    </div>

                    <div class="column">


                        <nz-card nzTitle="Continue Order [ ก่อนหน้านี้ ]" nzSize="small">
                            <div class="flex flex-col w-full">
                                <div class="grow rounded-md border border-sky-200 p-2 mb-2">
                                    <p>Card content</p>
                                    <p>Card content</p>
                                    <p>Card content</p>
                                    <p>Card content</p>
                                    <p>Card content</p>
                                </div>
                                <div class="grow rounded-md border border-sky-200 p-2">
                                    <p>Card content</p>
                                    <p>Card content</p>
                                    <p>Card content</p>
                                    <p>Card content</p>
                                    <p>Card content</p>
                                </div>
                            </div>
                        </nz-card>

                    </div>
                </div>

            </div>
        </div>
    </div>
</nz-content>